#!/bin/sh
echo 'name: tls
version: 0.9.5
id: tls-0.9.5-1fd38e94e83616572ef640d31159b633

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.MAC
                Network.TLS.Measurement Network.TLS.Packet Network.TLS.Record
                Network.TLS.Record.Types Network.TLS.Record.Engage
                Network.TLS.Record.Disengage Network.TLS.State Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Wire
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/tls-0.9.5
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/tls-0.9.5
              /usr/local/lib
hs-libraries: HStls-0.9.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         bytestring-0.9.2.1-e2bcd9910229fcb291a3a8dd6f79f7fe
         cereal-0.3.5.2-8da5f75563e2d51b1a1c36dcc12e31db
         certificate-1.2.3-123010ccad1e252d7fc669f9ca8ce8e1
         crypto-api-0.10.2-36778291d1e4a2b74e7bbf1d7d60abe0
         cryptocipher-0.3.5-ab30cd5ae51bf0e9cf986f4849cd7623
         cryptohash-0.7.5-e9a2af1d88848ec648b17ca0911cfb7a
         mtl-2.1.1-ae9b44386a2528180e60dcf2412689c0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/tls-0.9.5/html/tls.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/tls-0.9.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
